Bug 140600 - X hangs randomly(?) with 100% cpu utilization
X hangs randomly(?) with 100% cpu utilization
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-23 14:46 EST by Robert Jones
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-22 08:54:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Hellishly long strace of the X process during the hang (725.09 KB, text/plain)
2004-11-23 14:51 EST, Robert Jones
no flags Details
X configuration file for system in question (3.76 KB, text/plain)
2004-11-30 12:51 EST, Robert Jones
no flags Details

  None (edit)
Description Robert Jones 2004-11-23 14:46:08 EST
Users will encounter a condition where the X server is completely
frozen.  There doesn't appear to be any pattern to usage or behavior,
but the results are the same.  The X system is frozen, but the machine
is up and can be accessed via the network.  Top shows that the X
server is at 100% CPU utilization and an strace produces the following
output.


gettimeofday({1101235459, 967733}, NULL) = 0
gettimeofday({1101235459, 967837}, NULL) = 0
gettimeofday({1101235459, 967962}, NULL) = 0
--- SIGIO (I/O possible) @ 0 (0) ---
select(17, [15 16], NULL, NULL, {0, 0}) = 1 (in [16], left {0, 0})
rt_sigprocmask(SIG_BLOCK, [IO], [IO], 8) = 0
read(16, "8\365\374\0", 64)             = 4
gettimeofday({1101235459, 968835}, NULL) = 0
rt_sigprocmask(SIG_BLOCK, [], [IO], 8)  = 0
select(1024, [16], NULL, NULL, {0, 0})  = 0 (Timeout)
sigreturn()                             = ? (mask now [])
gettimeofday({1101235459, 969570}, NULL) = 0
gettimeofday({1101235459, 969687}, NULL) = 0
gettimeofday({1101235459, 969791}, NULL) = 0
gettimeofday({1101235459, 969896}, NULL) = 0
gettimeofday({1101235459, 970000}, NULL) = 0
gettimeofday({1101235459, 970104}, NULL) = 0
gettimeofday({1101235459, 970207}, NULL) = 0
gettimeofday({1101235459, 970311}, NULL) = 0
gettimeofday({1101235459, 970413}, NULL) = 0
gettimeofday({1101235459, 970517}, NULL) = 0
gettimeofday({1101235459, 970628}, NULL) = 0
gettimeofday({1101235459, 970845}, NULL) = 0
gettimeofday({1101235459, 970990}, NULL) = 0
gettimeofday({1101235459, 971171}, NULL) = 0
gettimeofday({1101235459, 971328}, NULL) = 0
gettimeofday({1101235459, 971507}, NULL) = 0
gettimeofday({1101235459, 971673}, NULL) = 0
gettimeofday({1101235459, 971818}, NULL) = 0
gettimeofday({1101235459, 971998}, NULL) = 0
gettimeofday({1101235459, 972154}, NULL) = 0
gettimeofday({1101235459, 972331}, NULL) = 0
gettimeofday({1101235459, 972489}, NULL) = 0
gettimeofday({1101235459, 972666}, NULL) = 0
gettimeofday({1101235459, 972771}, NULL) = 0
gettimeofday({1101235459, 972874}, NULL) = 0
gettimeofday({1101235459, 972979}, NULL) = 0
gettimeofday({1101235459, 973083}, NULL) = 0
gettimeofday({1101235459, 973188}, NULL) = 0
gettimeofday({1101235459, 973296}, NULL) = 0
gettimeofday({1101235459, 973400}, NULL) = 0
gettimeofday({1101235459, 973505}, NULL) = 0
gettimeofday({1101235459, 973609}, NULL) = 0
gettimeofday({1101235459, 973728}, NULL) = 0
gettimeofday({1101235459, 973831}, NULL) = 0
gettimeofday({1101235459, 973935}, NULL) = 0
gettimeofday({1101235459, 974040}, NULL) = 0
gettimeofday({1101235459, 974144}, NULL) = 0
gettimeofday({1101235459, 974249}, NULL) = 0
gettimeofday({1101235459, 974353}, NULL) = 0
gettimeofday({1101235459, 974456}, NULL) = 0
gettimeofday({1101235459, 974560}, NULL) = 0
gettimeofday({1101235459, 974679}, NULL) = 0
gettimeofday({1101235459, 974784}, NULL) = 0
gettimeofday({1101235459, 974887}, NULL) = 0
gettimeofday({1101235459, 974992}, NULL) = 0
gettimeofday({1101235459, 975096}, NULL) = 0
gettimeofday({1101235459, 975201}, NULL) = 0
gettimeofday({1101235459, 975305}, NULL) = 0
gettimeofday({1101235459, 975405}, NULL) = 0
gettimeofday({1101235459, 975509}, NULL) = 0
gettimeofday({1101235459, 975613}, NULL) = 0
gettimeofday({1101235459, 975732}, NULL) = 0
gettimeofday({1101235459, 975838}, NULL) = 0
gettimeofday({1101235459, 975943}, NULL) = 0
gettimeofday({1101235459, 976047}, NULL) = 0
gettimeofday({1101235459, 976152}, NULL) = 0
gettimeofday({1101235459, 976256}, NULL) = 0
gettimeofday({1101235459, 976362}, NULL) = 0
gettimeofday({1101235459, 976467}, NULL) = 0
gettimeofday({1101235459, 976572}, NULL) = 0
gettimeofday({1101235459, 976713}, NULL) = 0
gettimeofday({1101235459, 976817}, NULL) = 0
gettimeofday({1101235459, 976922}, NULL) = 0
gettimeofday({1101235459, 977026}, NULL) = 0
gettimeofday({1101235459, 977131}, NULL) = 0
gettimeofday({1101235459, 977233}, NULL) = 0
gettimeofday({1101235459, 977338}, NULL) = 0
gettimeofday({1101235459, 977443}, NULL) = 0
gettimeofday({1101235459, 977547}, NULL) = 0
gettimeofday({1101235459, 977664}, NULL) = 0
gettimeofday({1101235459, 977767}, NULL) = 0
gettimeofday({1101235459, 977871}, NULL) = 0
gettimeofday({1101235459, 977973}, NULL) = 0
gettimeofday({1101235459, 978077}, NULL) = 0
gettimeofday({1101235459, 978181}, NULL) = 0
gettimeofday({1101235459, 978281}, NULL) = 0
gettimeofday({1101235459, 978386}, NULL) = 0
gettimeofday({1101235459, 978491}, NULL) = 0
gettimeofday({1101235459, 978595}, NULL) = 0
gettimeofday({1101235459, 978715}, NULL) = 0
gettimeofday({1101235459, 978819}, NULL) = 0
--- SIGIO (I/O possible) @ 0 (0) ---
select(17, [15 16], NULL, NULL, {0, 0}) = 1 (in [16], left {0, 0})
rt_sigprocmask(SIG_BLOCK, [IO], [IO], 8) = 0
read(16, "8\370\374\0", 64)             = 4
gettimeofday({1101235459, 979690}, NULL) = 0
rt_sigprocmask(SIG_BLOCK, [], [IO], 8)  = 0
select(1024, [16], NULL, NULL, {0, 0})  = 0 (Timeout)
sigreturn()                             = ? (mask now [])
gettimeofday({1101235459, 980428}, NULL) = 0
gettimeofday({1101235459, 980534}, NULL) = 0
gettimeofday({1101235459, 980653}, NULL) = 0
gettimeofday({1101235459, 980758}, NULL) = 0
gettimeofday({1101235459, 980861}, NULL) = 0
gettimeofday({1101235459, 980965}, NULL) = 0
gettimeofday({1101235459, 981068}, NULL) = 0
gettimeofday({1101235459, 981172}, NULL) = 0
gettimeofday({1101235459, 981276}, NULL) = 0
gettimeofday({1101235459, 981381}, NULL) = 0
gettimeofday({1101235459, 981485}, NULL) = 0
gettimeofday({1101235459, 981588}, NULL) = 0
gettimeofday({1101235459, 981706}, NULL) = 0
gettimeofday({1101235459, 981808}, NULL) = 0
gettimeofday({1101235459, 981914}, NULL) = 0
gettimeofday({1101235459, 982018}, NULL) = 0
gettimeofday({1101235459, 982123}, NULL) = 0
gettimeofday({1101235459, 982226}, NULL) = 0
gettimeofday({1101235459, 982331}, NULL) = 0
gettimeofday({1101235459, 982432}, NULL) = 0
gettimeofday({1101235459, 982536}, NULL) = 0
gettimeofday({1101235459, 982653}, NULL) = 0
gettimeofday({1101235459, 982756}, NULL) = 0
gettimeofday({1101235459, 982860}, NULL) = 0
gettimeofday({1101235459, 982965}, NULL) = 0
gettimeofday({1101235459, 983069}, NULL) = 0
gettimeofday({1101235459, 983173}, NULL) = 0
gettimeofday({1101235459, 983273}, NULL) = 0
gettimeofday({1101235459, 983377}, NULL) = 0
gettimeofday({1101235459, 983480}, NULL) = 0
gettimeofday({1101235459, 983583}, NULL) = 0
gettimeofday({1101235459, 983701}, NULL) = 0
gettimeofday({1101235459, 983806}, NULL) = 0
gettimeofday({1101235459, 983910}, NULL) = 0
gettimeofday({1101235459, 984014}, NULL) = 0
gettimeofday({1101235459, 984119}, NULL) = 0
gettimeofday({1101235459, 984224}, NULL) = 0
gettimeofday({1101235459, 984328}, NULL) = 0
gettimeofday({1101235459, 984433}, NULL) = 0
gettimeofday({1101235459, 984537}, NULL) = 0
gettimeofday({1101235459, 984652}, NULL) = 0
--- SIGALRM (Alarm clock) @ 0 (0) ---
sigreturn()                             = ? (mask now [])
gettimeofday({1101235459, 985058}, NULL) = 0
gettimeofday({1101235459, 985162}, NULL) = 0
gettimeofday({1101235459, 985267}, NULL) = 0
gettimeofday({1101235459, 985372}, NULL) = 0
gettimeofday({1101235459, 985477}, NULL) = 0
gettimeofday({1101235459, 985578}, NULL) = 0
gettimeofday({1101235459, 985698}, NULL) = 0
gettimeofday({1101235459, 985802}, NULL) = 0
gettimeofday({1101235459, 985907}, NULL) = 0
gettimeofday({1101235459, 986011}, NULL) = 0
gettimeofday({1101235459, 986115}, NULL) = 0
gettimeofday({1101235459, 986220}, NULL) = 0
gettimeofday({1101235459, 986324}, NULL) = 0
gettimeofday({1101235459, 986429}, NULL) = 0
gettimeofday({1101235459, 986536}, NULL) = 0
gettimeofday({1101235459, 986653}, NULL) = 0
gettimeofday({1101235459, 986757}, NULL) = 0
gettimeofday({1101235459, 986861}, NULL) = 0
gettimeofday({1101235459, 986963}, NULL) = 0
gettimeofday({1101235459, 987067}, NULL) = 0
gettimeofday({1101235459, 987169}, NULL) = 0
gettimeofday({1101235459, 987273}, NULL) = 0
gettimeofday({1101235459, 987376}, NULL) = 0
gettimeofday({1101235459, 987479}, NULL) = 0
gettimeofday({1101235459, 987584}, NULL) = 0
gettimeofday({1101235459, 987720}, NULL) = 0
gettimeofday({1101235459, 987824}, NULL) = 0
gettimeofday({1101235459, 987926}, NULL) = 0
gettimeofday({1101235459, 988030}, NULL) = 0
gettimeofday({1101235459, 988135}, NULL) = 0
gettimeofday({1101235459, 988239}, NULL) = 0
gettimeofday({1101235459, 988343}, NULL) = 0
gettimeofday({1101235459, 988444}, NULL) = 0
gettimeofday({1101235459, 988548}, NULL) = 0
gettimeofday({1101235459, 988668}, NULL) = 0
gettimeofday({1101235459, 988773}, NULL) = 0
gettimeofday({1101235459, 988875}, NULL) = 0
gettimeofday({1101235459, 988980}, NULL) = 0
gettimeofday({1101235459, 989083}, NULL) = 0
gettimeofday({1101235459, 989187}, NULL) = 0
gettimeofday({1101235459, 989306}, NULL) = 0
gettimeofday({1101235459, 989411}, NULL) = 0
gettimeofday({1101235459, 989515}, NULL) = 0
gettimeofday({1101235459, 989629}, NULL) = 0
--- SIGIO (I/O possible) @ 0 (0) ---
select(17, [15 16], NULL, NULL, {0, 0}) = 1 (in [16], left {0, 0})
Process 7243 detached

 I'm marking this one High, since the only solution is to either
terminate the X session, which doesn't always work, or reboot the
server; either of which causes data loss in open applications.
Comment 1 Robert Jones 2004-11-23 14:51:00 EST
Created attachment 107330 [details]
Hellishly long strace of the X process during the hang
Comment 2 Mike A. Harris 2004-11-25 09:24:40 EST
What video card are you using?  Please attach your X server log
and config file as individual uncompressed file attachments,
as well as /var/log/messages from the last boot onward.

Thanks in advance.
Comment 3 Robert Jones 2004-11-29 11:55:45 EST
Nvidia Quadro 4 980 XGL
Comment 4 Mike A. Harris 2004-11-29 12:15:05 EST
We still require the files requested in comment #2 above in
in order to do further troubleshooting.  Once you've attached
all 3 of the the requested files, we will review them and
resume troubleshooting.

Thanks in advance.


Setting status back to "NEEDINFO" pending requested files.
Comment 5 Robert Jones 2004-11-30 12:50:02 EST
This system got rebooted so the Xorg.0.log got cleared.  I'm going to 
attach the X config file, and I'll post the other two files when the 
problem reoccurs.  I've also noticed that this machine is configured 
to use the propriatary nvidia driver, so it might be in their code.
Comment 6 Robert Jones 2004-11-30 12:51:21 EST
Created attachment 107642 [details]
X configuration file for system in question
Comment 7 Mike A. Harris 2004-12-22 08:54:21 EST
Since this X.org version was released,, there have been several
major updates to the X Window System, which may resolve this
issue, assuming it is an X.Org issue.  Users who have experienced
this problem are encouraged to upgrade to the latest version of
Fedora Core 3, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "CURRENTRELEASE"

Note You need to log in before you can comment on or make changes to this bug.